<head>
    <script src="https://cdn.plot.ly/plotly-2.14.0.min.js"></script>
</head>

<body>
  <div id="myDiv"><!-- Plotly chart will be drawn inside this DIV --></div>
</body>

<script>
  var trace1 = {
    x: ["2022-01-01","2022-02-01","2022-03-01","2022-04-01"],
    y: [10, 15, 13, 17],
    mode: "scatter",
  };

  var trace2 = {
    x: [2, 3, 4, 5],
    y: [16, 5, 11, 10],
    mode: "scatter",
  };

  var trace3 = {
    x: [1, 2, 3, 4],
    y: [12, 9, 15, 12],
    mode: "scatter",
  };

  var data = [trace1];

  var layout = {
    xaxis: {    
      rangeslider: {},
    },
    yaxis: {
      autotick: true,
      showticklabels: false,
    },
  };

  Plotly.newPlot("myDiv", data, layout);

  myDiv.on("plotly_relayout", function (eventdata) {
    var x_start = eventdata["xaxis.range"][0];
    var x_end = eventdata["xaxis.range"][1];
    console.log(x_start + "----" + x_end);
  });
</script>
